/*
  Simple DirectMedia Layer
  Copyright (C) 1997-2015 Sam Lantinga <slouken@libsdl.org>

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.
*/
/* common_float.c */

/* This file provides a set of C functions for dealing with floating-point */
/*  numbers. */



#include "common_macros.h"



	/* Try to preserve NAMESPACE, but allow it to be overridden. */
#ifndef CMNFLT_NAMESPACE
# define CMNFLT_NAMESPACE IDENTITY( NAMESPACE )
#endif


	/* For float functions. */
#define USE_FLT
# define NAMESPACE CONCAT( CMNFLT_NAMESPACE, flt_ )
#  include "common_float.xmacro"
# undef NAMESPACE
#undef USE_FLT

	/* For double functions. */
#define USE_DBL
# define NAMESPACE CONCAT( CMNFLT_NAMESPACE, dbl_ )
#  include "common_float.xmacro"
# undef NAMESPACE
#undef USE_DBL

	/* For long-double functions. */
#define USE_LDBL
# define NAMESPACE CONCAT( CMNFLT_NAMESPACE, ldbl_ )
#  include "common_float.xmacro"
# undef NAMESPACE
#undef USE_LDBL
